Bug 166976 - mc hangs when ftp connection times out.
Summary: mc hangs when ftp connection times out.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-29 10:56 UTC by Hans de Goede
Modified: 2013-07-02 23:09 UTC (History)
2 users (show)

Fixed In Version: 4.6.1a-0.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 05:53:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2005-08-29 10:56:22 UTC
To reproduce:
-start mc
-open an ftp-link
-wait 5 minutes (depending on server timeout)
-try to go intoa  dri on the ftp-site
-watch mc hang

For the fix (patch), see:
https://savannah.gnu.org/patch/?func=detailitem&item_id=3727
and also:
https://savannah.gnu.org/bugs/?func=detailitem&item_id=7472

Comment 1 Jindrich Novy 2005-08-29 11:40:12 UTC
Hello Hans,

thanks for the patch. I'm waiting now for a mc connected to a ftp site to
reproduce it.

Comment 2 Jindrich Novy 2005-08-29 11:57:52 UTC
Confirmed and successfully reproduced. Testing your patch now.

Comment 3 Jindrich Novy 2005-08-29 13:21:35 UTC
Your patch fixes the problem for me.

Comment 4 Hans de Goede 2005-08-31 08:37:27 UTC
I just updated to the latest rawhide and I can confirm this is fixed.



Note You need to log in before you can comment on or make changes to this bug.